# SENTUserLinker

Implement this to handle the linking of your app user to a Sentiance user, during user creation.

For details on how to link users, see [here.](https://docs.sentiance.com/sdk/appendix/user-linking)

<table data-header-hidden><thead><tr><th width="265.64770240700216">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>Parameter</td><td>Description</td></tr><tr><td>installId</td><td>A unique Sentiance id representing the current installation.</td></tr><tr><td>linkSuccess()</td><td>Pass this closure which will be called if linking succeeded on the Sentiance backend.</td></tr><tr><td>linkFailure()</td><td>This closure will be called if linking failed.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/user-creation-and-linking/user-linking/metauserlinker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
